Main Page | Alphabetical List | Data Structures | File List | Data Fields | Globals

# _myPrivate Struct Reference

## Data Fields
int | fd
CARD32 | kbdState [NUM_STATE_ENTRIES]
int | pitch
unsigned long | duration
DeviceIntPtr | pDevice
unsigned char | mask [EV_MAX/8+1]
int | numLeds
int | relmap [DMX_MAX_AXES]
int | absmap [DMX_MAX_AXES]
DMXInputInfo * | dmxInput

## Detailed Description

Each device has a private area that is visible only from inside the driver code.

## Field Documentation

int _myPrivate::absmap[DMX_MAX_AXES]

| Absolute axis map

DMXInputInfo* _myPrivate::dmxInput

| For pretty-printing

unsigned long _myPrivate::duration

| Bell duration

int _myPrivate::fd

| File descriptor

CARD32 _myPrivate::kbdState

| Keyboard state

unsigned char _myPrivate::mask[EV_MAX/8 + 1]

| Mask

int _myPrivate::numLeds

| Counts

DeviceIntPtr _myPrivate::pDevice

| Device (mouse or other)

int _myPrivate::pitch

| Bell pitch

int _myPrivate::relmap[DMX_MAX_AXES]

| Relative axis map

The documentation for this struct was generated from the following files:

- dmxbackend.c
- dmxcommon.c
- dmxconsole.c
- lnx-keyboard.c
- lnx-ms.c
- lnx-ps2.c
- usb-private.h